Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1658042 - Apply BMO perl tidy rc to all perl files
Summary: Apply BMO perl tidy rc to all perl files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 5.0-RH3
Assignee: Jeff Fearn 🐞
QA Contact: Rony Gong 🔥
URL:
Whiteboard:
Depends On:
Blocks: 478886
TreeView+ depends on / blocked
 
Reported: 2018-12-11 06:35 UTC by Jeff Fearn 🐞
Modified: 2019-04-04 11:54 UTC (History)
1 user (show)

Fixed In Version: 5.0.4.rh14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-12 00:57:38 UTC


Attachments (Terms of Use)

Description Jeff Fearn 🐞 2018-12-11 06:35:26 UTC
Description of problem:
To make merging code easier with BMO we need to apply their perltidy rc file to all perl files.


Additional info:
https://github.com/mozilla-bteam/bmo/blob/master/.perltidyrc

Comment 1 Rony Gong 🔥 2019-02-12 08:28:23 UTC
Verified it by full function test

Comment 2 Jeff Fearn 🐞 2019-03-12 00:57:38 UTC
This change is now live. If there are any issues, do not reopen this
bug. Instead, you should create a new bug and reference this bug.


Note You need to log in before you can comment on or make changes to this bug.